Subject: Re: registration request for dns-prefetch, preconnect, prefetch, and prerender link relation types
From: Julian Reschke <[email-masked]>
To: Erik Wilde <[email-masked]>, link-relations <[email-masked]>
Date: Tue, 26 Jan 2016 07:13:03 +0100
List-Id: <link-relations.ietf.org>

My gut reaction is: why do we need a whopping 5 link relations 
(including preload)?

7.1 and 7.2 look very similar; they also need to talk about the link 
context's origin so that people are not tempted to insert just the origin.

7.3 and 7.4 look very similar as well; 7.4 also needs to be rephrased to 
be independent of the media type.

Best regards, Julian

On 2016-01-26 01:54, Erik Wilde wrote:
> hello link-relations.
>
> https://www.w3.org/TR/2016/WD-resource-hints-20160126/#iana-considerations
> defines 4 new link relation types that should be added to the IANA link
> relation registry. here is an excerpt with the link relation type
> descriptions:
>
> -------------------------------------
>
> 7.1 dns-prefetch Link Relation Type
>
> Relation Name: dns-prefetch
> Description: The dns-prefetch link relation type is used to indicate an
> origin that will be used to fetch required resources, and that the user
> agent SHOULD resolve as early as possible.
>
> 7.2 preconnect Link Relation Type
>
> Relation Name: preconnect
> Description: The preconnect link relation type is used to indicate an
> origin that will be used to fetch required resources. Initiating an
> early connection, which includes the DNS lookup, TCP handshake, and
> optional TLS negotiation, allows the user agent to mask the high latency
> costs of establishing a connection.
>
> 7.3 prefetch Link Relation Type
>
> Relation Name: prefetch
> Description: The prefetch link relation type is used to declare a
> resource that might be required by the next navigation, and that the
> user agent SHOULD fetch, such that the user agent can deliver a faster
> response once the resource is requested in the future.
>
> 7.4 prerender Link Relation Type
>
> Relation Name: prerender
> Description: The prerender link relation type is used to declare an HTML
> resource that might be required by the next navigation, and that the
> user agent SHOULD fetch and execute, such that the user agent can
> deliver faster response and processing once the resource is requested in
> the future.
>
> -------------------------------------
>
> if there are any concerns or questions about these link relations types,
> please let us know.
>
> thanks a lot and cheers,
>
> dret.
>